<?php

global $exts;
global $constStr;

$exts['img'] = ['ico', 'bmp', 'gif', 'jpg', 'jpeg', 'jpe', 'jfif', 'tif', 'tiff', 'png', 'heic', 'webp'];
$exts['music'] = ['mp3', 'wma', 'flac', 'ape', 'wav', 'ogg', 'm4a'];
$exts['office'] = ['doc', 'docx', 'xls', 'xlsx', 'ppt', 'pptx'];
$exts['txt'] = ['txt', 'bat', 'sh', 'php', 'asp', 'js', 'css', 'json', 'html', 'c', 'cpp', 'md', 'py', 'omf'];
$exts['video'] = ['mp4', 'webm', 'mkv', 'mov', 'flv', 'blv', 'avi', 'wmv', 'm3u8', 'rm', '3gp', 'rmvb'];
$exts['zip'] = ['zip', 'rar', '7z', 'gz', 'tar'];

$constStr = [
    'languages' => [
        'en-us' => 'English',
        'zh-tw' => '繁體中文',
        'zh-cn' => '简体中文',
        'ja' => '日本語',
        'ko-kr' => '한국어',
        'fa' => 'فارسی',
        'ar-sa' => 'السعودية',
    ],
    'Week' => [
        'en-us' => [
            0 => 'Sunday',
            1 => 'Monday',
            2 => 'Tuesday',
            3 => 'Wednesday',
            4 => 'Thursday',
            5 => 'Friday',
            6 => 'Saturday',
        ],
        'zh-cn' => [
            0 => '星期日',
            1 => '星期一',
            2 => '星期二',
            3 => '星期三',
            4 => '星期四',
            5 => '星期五',
            6 => '星期六',
        ],
        'zh-tw' => [
            0 => '星期日',
            1 => '星期一',
            2 => '星期二',
            3 => '星期三',
            4 => '星期四',
            5 => '星期五',
            6 => '星期六',
        ],
        'ja' => [
            0 => '日曜日',
            1 => '月曜日',
            2 => '火曜日',
            3 => '水曜日',
            4 => '木曜日',
            5 => '金曜日',
            6 => '土曜日',
        ],
        'ko-kr' => [
            0 => '일요일',
            1 => '월요일',
            2 => '화요일',
            3 => '수요일',
            4 => '목요일',
            5 => '금요일',
            6 => '토요일',
        ],
        'fa' => [
            0 => 'یکشنبه',
            1 => 'دوشنبه',
            2 => 'سه شنبه',
            3 => 'چهارشنبه',
            4 => 'پنج شنبه',
            5 => 'جمعه',
            6 => 'شنبه',
        ],
        'ar-sa' => [
            6 => 'بيوم الأحد',
            0 => 'الإثنين',
            1 => 'الثلاثاء',
            2 => 'الأربعاء',
            3 => 'الخميس',
            4 => 'يوم الجمعة',
            5 => 'في. يوم السبت',
        ],
    ],
    'EnvironmentsDescription' => [
        'en-us' => [
            'admin' => 'The admin password, Login button will not show when empty',
            'adminloginpage' => 'if set, the Login button will not display, and the login page no longer \'?login=admin\', it is \'?login={this value}\'.',
            'autoJumpFirstDisk' => 'a switch used in multy disks, if 1, auto jump to first disk',
            'customScript' => '<script> in all pages, e.g. http turn to https',
            'customCss' => '<style> in <head>',
            'customTheme' => 'an url of html',
            'referrer' => 'only these domains can refer resourse in this site, format is a1.com|b2.com',
            'domain_path' => 'more custom domain, format is a1.com:/dirto/path1|b2.com:/path2',
            'diskname' => 'The disk name you want show.',
            'diskDescription' => ' Some tips of this disk, not used in code.',
            'disktag' => 'A tag used in store config and url.',
            'disableShowThumb' => 'a switch, if 1, the ShowThumbnail button will not display',
            'disableChangeTheme' => 'a switch, if 1, the Theme selection button will not display',
            'downloadencrypt' => 'a switch, 0 or 1. if 1, the files in encrypt folder can be downloaded without password',
            'globalHeadOmfUrl' => 'get txt from url, show it as head.omf in every page.',
            'globalHeadMdUrl' => 'get txt from url, show it as head.md in every page.',
            'globalReadmeMdUrl' => 'get txt from url, show it as readme.md in every page.',
            'globalFootOmfUrl' => 'get txt from url, show it as foot.omf in every page.',
            'useBasicAuth' => 'a switch, if 1, will popup user/pass windows in encrypted folder.',
            'background' => 'Set an url as background photo.',
            'backgroundm' => 'Set an url as background in mobile phone.',
            'forceHttps' => 'a switch, if 1, force to redirect to https when visit via http.',
            'fileConduitCacheTime' => 'Input number, unit is hour, if set this, little file<1M(or fileConduitSize) will through program and cache in explorer, otherwise, default 302 to Microsoft',
            'fileConduitSize' => 'Input number, unit is M(suggest less than 4M), if set this, little file<this value will through program and cache in explorer, otherwise, default 302 to Microsoft',
            'theme' => 'Select theme for guest.',
            'timezone' => 'Set default timezone.',
            'guestup_path' => 'Set guest upload dir, before set this, the files in this dir will show as normal.',
            'hideFunctionalityFile' => 'a switch, 0 or 1. if 1, some file will not show in list to guest, like readme.md',
            'passfile' => 'The password of folder(& its childrens) will save in this file.',
            'domainforproxy' => 'Will replace the https://xxxxx-my.sharepoint.com with this value.Add &Origindomain=xxxxx-my.sharepoint.com at last',
            'public_path' => 'Show this Onedrive dir when through the long url of API Gateway.',
            'sitename' => 'sitename',
        ],
        'zh-cn' => [
            'admin' => '管理密码，不添加时不显示登录页面且无法登录。',
            'adminloginpage' => '如果设置，登录按钮及页面隐藏。管理登录的页面不再是\'?login=admin\'，而是\'?login=此设置的值\'。',
            'autoJumpFirstDisk' => '一个开关，用于多个磁盘，如果为1，则自动跳转到第一个磁盘',
            'customScript' => '<script>，在所有页都会存在,例如放一个http跳转https',
            'customCss' => '<style>，在<head>最后面',
            'customTheme' => 'html格式的主题的url',
            'referrer' => '只有这些域名能引用本站资源。格式为a1.com|b1.com',
            'domain_path' => '使用多个自定义域名时，指定每个域名看到的目录。格式为a1.com:/dirto/path1|b1.com:/path2。',
            'diskname' => '这个盘你想显示什么名称。',
            'diskDescription' => '对这个盘的一些描述，随便写，代码不引用这个。',
            'disktag' => '一个标签，用于保存配置，多盘时会显示在url中。',
            'disableShowThumb' => '一个开关，如果填 1, ‘显示缩略’按钮将被隐藏。',
            'disableChangeTheme' => '一个开关，如果为 1，则不会显示主题选择按钮',
            'downloadencrypt' => '一个开关，0 或 1。如果 1, 那加密目录内的文件可以不需要密码就能下载。',
            'globalHeadOmfUrl' => '从url获取文本，当成head.omf显示在每一页。',
            'globalHeadMdUrl' => '从url获取文本，当成head.md显示在每一页。',
            'globalReadmeMdUrl' => '从url获取文本，当成readme.md显示在每一页。',
            'globalFootOmfUrl' => '从url获取文本，当成foot.omf显示在每一页。',
            'useBasicAuth' => '一个开关，如果为 1，加密目录将弹出用户名密码窗口，不会显示主题自带的输入密码页面。',
            'background' => '设置一个url作为背景。',
            'backgroundm' => '设置一个url作为手机端用的背景。',
            'forceHttps' => '一个开关，0或1。如果设置为1，会强制跳https',
            'fileConduitCacheTime' => '填数字，单位是小时，如果设置，小于1M(或fileConduitSize)的小文件会从程序通过然后缓存在浏览器，不然，默认302跳微软',
            'fileConduitSize' => '填数字，单位是M(建议4M以下)，如果设置，小于这个值的小文件会从程序通过然后缓存在浏览器，不然，默认302跳微软',
            'theme' => '为游客选择一个主题。',
            'timezone' => '设置默认时区。',
            'guestup_path' => '设置游客上传路径（图床路径），不设置这个值时该目录内容会正常列文件出来，设置后只有上传界面，不显示其中文件（登录后显示）。',
            'hideFunctionalityFile' => '一个开关，0 或 1。如果 1, 功能文件不列表给游客看，但它的功能正常，比如readme.md',
            'passfile' => '自定义密码文件的名字，可以是\'pppppp\'，也可以是\'aaaa.txt\'等等；列目录时不会显示，只有知道密码才能查看或下载此文件。密码是这个文件的内容，可以空格、可以中文；',
            'domainforproxy' => '会将https://xxxxx-my.sharepoint.com替换成这个值，在目标需要自己设置反代。会加上&Origindomain=原域名',
            'public_path' => '使用API长链接访问时，显示网盘文件的路径，不设置时默认为根目录。',
            'sitename' => '网站的名称',
        ],
        'zh-tw' => [
            'admin' => '管理密碼，不設定密碼將不顯示登入頁面且無法登入。',
            'adminloginpage' => '如果設定，登入按鈕及頁面隱藏。管理登入的頁面不再是\'?login=admin\'，而是\'?login=此設置的值\'。',
            'autoJumpFirstDisk' => '用於多盤，如果設1，將會自動跳到第一個盤。',
            'customScript' => '<script>，在所有頁都會存在,例如放一個http跳轉https',
            'customCss' => '<style>，在<head>最後面',
            'customTheme' => 'html格式的主題的url',
            'referrer' => '',
            'domain_path' => '使用多個自訂域名時，指定每個域名看到的目錄。格式為a1.com:/dirto/path1|b1.com:/path2。',
            'diskname' => '這個盤你想顯示什麼名稱。',
            'disktag' => '一個標籤，用於儲存配置，多盤時會顯示在url中。',
            'disableShowThumb' => '如果填 1, ‘顯示縮略’按鈕將被隱藏。',
            'disableChangeTheme' => '如果填 1, 主題選擇切換將被隱藏',
            'downloadencrypt' => '0 或 1。如果 1, 那加密目錄內的文件可以不需要密碼就能下載。',
            'background' => '設定一個url作為背景。',
            'backgroundm' => '設定一個url作為手機用的背景。',
            'theme' => '为遊客選擇一個主題。',
            'timezone' => '設定預設時區。',
            'guestup_path' => '設定遊客上傳路徑（圖床路徑），不設定這個值時該目錄內容會正常列文件出來，設定後只有上傳介面，不顯示其中文件（登入後顯示）。',
            'hideFunctionalityFile' => '0 或 1。如果 1, 某些文件不列表給遊客看，但它的功能正常，比如readme.md',
            'passfile' => '自訂密碼文件的名字，可以是\'pppppp\'，也可以是\'aaaa.txt\'等等；列目錄時不會顯示，只有知道密碼才能查看或下載此文件。密碼是這個文件的內容，可以空格、可以中文；',
            'domainforproxy' => '會將https://xxxxx-my.sharepoint.com取代成這個值，在目標需要自己設定反代。會加上&Origindomain=原域名',
            'public_path' => '使用API長連結訪問時，顯示網路硬碟檔案的路徑，不設定時預設為根目錄。',
            'sitename' => '網站的名稱',
        ],
        'ja' => [
            'admin' => 'パスワードを管理する、追加しない場合、ログインページは表示されず、ログインできません。',
            'adminloginpage' => '設定すると、ログインボタンとページが非表示になります。ログインを管理するためのページは\'?login=admin \'ではなく、\'?login=この設定の値\'。',
            'autoJumpFirstDisk' => '複数のディスクを使って、1を設定すると、自動的に最初のディスクにジャンプします。',
            'customScript' => '＜script＞は、すべてのページに存在します。例えば、httpを置いてhttpsをジャンプします。',
            'customCss' => '＜style＞は、＜head＞の一番後ろにあります。',
            'customTheme' => 'htmlフォーマットのテーマのurl',
            'referrer' => '',
            'domain_path' => '複数のドメイン名を使用する場合、ドメイン名ごとに見られるディレクトリを指定します。フォーマットはa1.com:/dirto/path1|b1.com:/path2。',
            'diskname' => 'このディスクの名前を表示したいですか？',
            'disktag' => '一つのラベルは保存配置に使い、複数のディスクはurlに表示されます。',
            'disableShowThumb' => '1を記入すると、「表示サムネイル」ボタンが隠れます。',
            'disableChangeTheme' => '1を記入すると、テーマ選択の切り替えが隠れます。',
            'downloadencrypt' => '0または1です。もし1なら、暗号化されたディレクトリ内のファイルはパスワードなしでダウンロードできます。',
            'background' => '背景にurlを設定します。',
            'backgroundm' => '携帯電話用の背景としてurlを設定します。',
            'theme' => 'テーマを選択します。',
            'timezone' => 'プリセットタイムゾーンを設定します。',
            'guestup_path' => 'マップベッドのパスを設定します。この値が設定されていない場合、ディレクトリの内容は通常ファイルにリストされ、設定後はアップロードインターフェイスのみが表示されます。',
            'hideFunctionalityFile' => '0または1です。もし1ならば、いくつかの書類はリストで観光客に見せませんが、その機能は正常です。readme.md',
            'passfile' => 'カスタムパスワードファイルの名前は、\'pppppp \'、\'aaaa.txt \'などの場合があります。ディレクトリをリストするときには表示されません。パスワードを知っている場合にのみ、このファイルを表示またはダウンロードできます。 パスワードはこのファイルの内容であり、スペースまたは漢字を使用できます。',
            'domainforproxy' => '会将https://xxxy-my.sharepoint.comこの値に代えて、目標には自分で反世代を設定する必要があります。に加えて&amp;Originndomain=元のドメイン名',
            'public_path' => 'APIのロングリンクアクセスを使用する場合、ネットワークディスクファイルのパスが表示されますが、設定されていない場合はデフォルトでルートディレクトリになり。',
            'sitename' => 'ウェブサイト名',
        ],
        'ko-kr' => [
            'admin' => '비밀번호를 관리하고 로그인 페이지를 표시하지 않으며 추가하지 않으면 로그인 할 수 없습니다.',
            'adminloginpage' => '설정하면 로그인 버튼과 페이지가 숨겨집니다. 로그인 관리 페이지는 더 이상 \ ?login=admin\'이 아니라 \ ?login=이 설정의 값 \'입니다.',
            'autoJumpFirstDisk' => '여러 개의 디스크 에 사용 되 며, 1 이 되면 첫 번 째 디스크 로 자동 으로 이동 합 니 다.',
            'customScript' => '< script > 은 모든 페이지 에 존재 합 니 다. 예 를 들 어 http 을 하나 넣 고 https 로 이동 합 니 다.',
            'customCss' => '< 스타일 >, < 헤드 > 맨 뒤에',
            'customTheme' => 'html 형식의 테마 url',
            'referrer' => '',
            'domain_path' => '도 메 인 이름 을 여러 개 사용자 정의 할 때 도 메 인 이름 마다 보 이 는 디 렉 터 리 를 지정 합 니 다.형식 은 a1.com:/dirto/path1|b1.com:/path2.',
            'diskname' => '이 접시 에 당신 은 어떤 명칭 을 표시 하고 싶 습 니까?',
            'disktag' => '디스크가 여러 개인 경우 구성을 저장하는 데 사용되는 레이블이 url에 표시됩니다.',
            'disableShowThumb' => '1을 입력하면 “썸네일 표시”버튼이 숨겨집니다.',
            'disableChangeTheme' => '1이면 테마 선택 버튼이 표시되지 않습니다.',
            'downloadencrypt' => '0 또는 1 1이면 암호화 된 디렉토리의 파일을 암호없이 다운로드 할 수 있습니다.',
            'background' => 'URL을 배경으로 설정하십시오.',
            'backgroundm' => 'URL을 휴대폰의 배경으로 설정합니다.',
            'theme' => '주제를 선택하십시오.',
            'timezone' => '기본 시간대를 설정합니다.',
            'guestup_path' => '게스트 업로드 경로 (사진 침대 경로)를 설정합니다.이 값을 설정하지 않으면 디렉토리의 내용이 파일로 나열됩니다. 설정 후 업로드 인터페이스 만 표시되지 않습니다 (로그인 후 표시됨).',
            'hideFunctionalityFile' => '0 또는 1 1 인 경우 일부 파일이 관광객 용으로 나열되지 않지만 readme.md와 같은 기능은 정상입니다.',
            'passfile' => '사용자 지정 암호 파일의 이름은 \ “pppppp \”또는 \ “aaaa.txt \”등이 될 수 있습니다. 디렉터리가 나열 될 때 표시되지 않으며 암호를 알고있는 경우에만 파일을 보거나 다운로드 할 수 있습니다. 암호는이 파일의 내용이며 공백이거나 중국어 일 수 있습니다.',
            'domainforproxy' => 'https://xxxxx-my.sharepoint.com을이 값으로 바꾸고 대상에서 안티 생성을 설정해야합니다. & Origindomain = Original domain name 을 추가합니다.',
            'public_path' => 'API 긴 링크 액세스를 사용하는 경우 네트워크 디스크 파일의 경로가 표시됩니다. 설정되지 않은 경우 기본적으로 루트 디렉토리로 설정됩니다.',
            'sitename' => '웹 사이트 이름',
        ],
        'fa' => [
            'admin' => 'رمز عبور ادمین، در صورت خالی بودن دکمه لاگین به نمایش در نمی‌آید',
            'adminloginpage' => 'در صورت تنظیم ، دکمه ورود نمایش داده نمی شود و صفحه ورود دیگر \?login=admin\ نیست بلکه \?login={مقدار ورودی شما}\ است.',
            'referrer' => '',
            'domain_path' => 'تنظیم دامنه سفارشی، به صورت a1.com:/dirto/path1|b2.com:/path2',
            'diskname' => 'نام دیسک که می‌خواهید نشان دهید.',
            'disktag' => 'تگی که در ذخیره پیکربندی و نشانی اینترنتی استفاده می‌شود.',
            'downloadencrypt' => '',
            'background' => 'تنظیم عکس پشت زمینه به صورت url یا قرار دادن بک گراند به صورت دستی در مسیر نشان داده شده.',
            'guestup_path' => 'قبل از تنظیم این گزینه ، فایل آپلود guest را تنظیم کنید ، پرونده های موجود در این حالت به صورت عادی نشان داده می شوند.',
            'passfile' => 'رمز عبور dir در این فایل ذخیره می شود.',
            'public_path' => 'این مسیر Onedrive را هنگامی که از طریق آدرس طولانی API Gateway استفاده می کنید ، نشان دهید. فایل های نمایش عمومی کمتر از خصوصی.',
            'sitename' => 'نام سایت',
        ],
        'ar-sa' => [
            'admin' => ' إدارة كلمة السر ، لا يمكنك عرض صفحة تسجيل الدخول دون إضافة',
            'adminloginpage' => 'إذا كان الإعداد ، زر تسجيل الدخول و الصفحة المخفية   إدارة صفحة تسجيل الدخول لم تعد قيمة هذا الإعداد ؟',
            'autoJumpFirstDisk' => 'على أقراص متعددة ، إذا كان واحد ، ثم الانتقال تلقائيا إلى القرص الأول',
            'customScript' => 'في جميع الصفحات ، على سبيل المثال ، وضع النص المتشعب القفز HTTPS',
            'customCss' => '<style>，في الجزء الخلفي من',
            'customTheme' => 'أتش تي أم أل شكل عنوان الموضوع',
            'referrer' => '',
            'domain_path' => 'عند استخدام العديد من أسماء النطاقات المخصصة ، حدد الدليل الذي يرى كل اسم النطاق   هذا هو القانون ؛   بات اولا',
            'diskname' => 'ما اسم هذا القرص الذي تريد أن تظهر ؟',
            'disktag' => 'العلامة التي تستخدم لحفظ التكوين ، يتم عرضها في عناوين المواقع عند تعدد الأقراص',
            'disableShowThumb' => 'إذا كنت ملء ، زر عرض الاختصارات سوف تكون مخفية',
            'disableChangeTheme' => 'إذا كان واحد ، لا يتم عرض زر اختيار الموضوع',
            'downloadencrypt' => 'أو واحد   إذا كان واحد ، ثم تشفير الملفات في الدليل يمكن تحميلها بدون كلمة السر',
            'background' => 'وضع رابط كخلفية',
            'backgroundm' => 'وضع رابط كخلفية على الهاتف',
            'theme' => 'اختر موضوع واحد',
            'timezone' => 'تعيين المنطقة الزمنية الافتراضية',
            'guestup_path' => 'إذا كنت لا تضع هذه القيمة ، محتويات الدليل سوف تظهر بشكل صحيح ، فقط واجهة تحميل بعد الإعداد ، لا تظهر الملفات بعد تسجيل الدخول.',
            'hideFunctionalityFile' => 'أو واحد   إذا كان واحد ، بعض الملفات لا تظهر في قائمة الزوار ، ولكن وظيفتها هي طبيعية ، مثل   قراءة',
            'passfile' => 'يمكنك تحديد اسم ملف كلمة السر الخاصة بك ؟   النص   انتظر ، لا تظهر في الكتالوج إلا إذا كنت تعرف كلمة السر ، يمكنك عرض أو تحميل هذا الملف   كلمة السر هي محتوى هذه الوثيقة ، يمكنك الفضاء ، يمكنك الصينية ؛',
            'domainforproxy' => 'سوف   لا شيء   استبدال هذه القيمة ، تحتاج إلى تعيين جيل معاكس في الهدف الخاص بك   إضافة اسم النطاق الأصلي',
            'public_path' => 'عند استخدام API وصلة طويلة للوصول إلى عرض مسار الملف على القرص ، إذا لم يتم تعيين الافتراضي هو الجذر ، لا يمكن أن يكون private ش   لا يمكن أن نرى أكثر من private publics ، أو لا',
            'sitename' => 'اسم الموقع',
        ],
    ],
    'SetSecretsFirst' => [
        'en-us' => 'Set API in Config first! or reinstall.',
        'zh-cn' => '先在环境变量设置API！或重装。',
        'zh-tw' => '先在環境變數設定API！或重裝。',
        'ja' => '最初に環境変数にAPIを設定してください！',
        'ko-kr' => '먼저 환경 변수에서 API를 설정하십시오! 또는 다시 설치하십시오.',
        'fa' => 'ابتدا API را در پیکربندی تنظیم کنید! یا دوباره نصب کنید.',
        'ar-sa' => 'وضع المعهد في بيئة متغيرة   أو أعد التحميل',
    ],
    'RefreshtoLogin' => [
        'en-us' => '<font color="red">Refresh</font> and login.',
        'zh-cn' => '请<font color="red">刷新</font>页面后重新登录',
        'zh-tw' => '請<font color="red">重新整理</font>頁面後重新登入',
        'ja' => 'ページを<font color = "red">更新</font>して、再度ログインしてください',
        'ko-kr' => '페이지를 <font color = "red"> 새로 고침 </ font> 하시고 다시 로그인하십시오',
        'fa' => '<font color="red">رفرش</font> و لاگین.',
        'ar-sa' => 'الرجاء إعادة تسجيل الدخول بعد تحديث الصفحة',
    ],
    'AdminLogin' => [
        'en-us' => 'Admin Login',
        'zh-cn' => '管理登录',
        'zh-tw' => '管理登入',
        'ja' => 'ログインを管理する',
        'ko-kr' => '로그인 관리',
        'fa' => 'ورود ادمین',
        'ar-sa' => 'إدارة تسجيل الدخول',
    ],
    'LoginSuccess' => [
        'en-us' => 'Login Success!',
        'zh-cn' => '登录成功，正在跳转',
        'zh-tw' => '登入成功，正在跳轉',
        'ja' => 'ログイン成功、ジャンプ',
        'ko-kr' => '로그인 성공, 점프',
        'fa' => 'ورود با موفقیت انجام شد!',
        'ar-sa' => 'تسجيل الدخول بنجاح ، القفز',
    ],
    'InputPassword' => [
        'en-us' => 'Input Password',
        'zh-cn' => '输入密码',
        'zh-tw' => '輸入密碼',
        'ja' => 'パスワードを入力してください',
        'ko-kr' => '비밀번호 입력',
        'fa' => 'رمز عبور را وارد کنید',
        'ar-sa' => 'أدخل كلمة المرور',
    ],
    'Login' => [
        'en-us' => 'Login',
        'zh-cn' => '登录',
        'zh-tw' => '登入',
        'ja' => 'サインイン',
        'ko-kr' => '로그인',
        'fa' => 'ورود',
        'ar-sa' => 'تسجيل الدخول',
    ],
    'Encrypt' => [
        'en-us' => 'Encrypt',
        'zh-cn' => '加密',
        'zh-tw' => '加密',
        'ja' => '暗号化',
        'ko-kr' => '암호화',
        'fa' => 'رمزگذاری',
        'ar-sa' => 'مشفر',
    ],
    'SetpassfileBfEncrypt' => [
        'en-us' => 'Set \'passfile\' in Environments before encrypt',
        'zh-cn' => '先设置passfile才能加密',
        'zh-tw' => '先設定passfile才能加密',
        'ja' => '最初に暗号化する変数にパスファイルを設定します',
        'ko-kr' => '암호화하기 전에 환경 변수에 패스 파일을 설정하십시오',
        'fa' => 'قبل از رمزگذاری \"passfile \" را در محیط تنظیم کنید',
        'ar-sa' => 'أولا تعيين متغير البيئة passfile لتشفير',
    ],
    'updateProgram' => [
        'en-us' => 'Update Program',
        'zh-cn' => '一键更新',
        'zh-tw' => '一鍵更新',
        'ja' => 'ワンクリック更新',
        'ko-kr' => '원 클릭 업데이트',
        'fa' => 'برنامه را به روز کنید',
        'ar-sa' => 'تحديث',
    ],
    'UpdateSuccess' => [
        'en-us' => 'Program update Success!',
        'zh-cn' => '程序升级成功！',
        'zh-tw' => '程式升級成功！',
        'ja' => 'プログラムのアップグレードに成功しました！',
        'ko-kr' => '프로그램 업그레이드 성공!',
        'fa' => 'موفقیت به روز رسانی برنامه!',
        'ar-sa' => 'ترقية البرنامج بنجاح',
    ],
    'Setup' => [
        'en-us' => 'Setup',
        'zh-cn' => '设置',
        'zh-tw' => '設定',
        'ja' => '設定する',
        'ko-kr' => '설정',
        'fa' => 'نصب',
        'ar-sa' => 'إعداد',
    ],
    'Back' => [
        'en-us' => 'Back',
        'zh-cn' => '返回',
        'zh-tw' => '返回',
        'ja' => 'back',
        'ko-kr' => '돌아 가기',
        'fa' => 'بازگشت',
        'ar-sa' => 'رجع',
    ],
    'Theme' => [
        'en-us' => 'Theme',
        'zh-cn' => '主题',
        'zh-tw' => '主題',
        'ja' => 'テーマ',
        'ko-kr' => '주제.',
        'fa' => 'عنوان',
        'ar-sa' => 'الثيمات',
    ],
    'NotNeedUpdate' => [
        'en-us' => 'Not Need Update',
        'zh-cn' => '不需要更新',
        'zh-tw' => '不需要更新',
        'ja' => '更新不要',
        'ko-kr' => '업데이트가 필요하지 않습니다',
        'fa' => 'آپدیت لازم نیست',
        'ar-sa' => 'لا تحتاج إلى تحديث',
    ],
    'PlatformConfig' => [
        'en-us' => 'Platform Config',
        'zh-cn' => '平台变量',
        'zh-tw' => '平台變數',
        'ja' => 'プラットフォーム変数',
        'ko-kr' => '플랫폼 변수',
        'fa' => 'پیکربندی پلتفرم',
        'ar-sa' => 'منصة متغير',
    ],
    'DragSort' => [
        'en-us' => 'Drag to Sort Disk',
        'zh-cn' => '拖拽改变顺序',
        'zh-tw' => '拖曳改變順序',
    ],
    'SubmitSortdisks' => [
        'en-us' => 'Submit Sort',
        'zh-cn' => '确认排序',
        'zh-tw' => '確認排序',
    ],
    'DelDisk' => [
        'en-us' => 'Del This Disk',
        'zh-cn' => '删除此盘',
        'zh-tw' => '刪除此盤',
        'ja' => 'このディスクを削除',
        'ko-kr' => '이 디스크를 삭제',
        'fa' => 'پاک کردن این دیسک',
        'ar-sa' => 'حذف هذا القرص',
    ],
    'CopyDisk' => [
        'en-us' => 'Copy this Disk',
        'zh-cn' => '复制此盘',
    ],
    'RenameDisk' => [
        'en-us' => 'Rename Disk Tag',
        'zh-cn' => '改变标签',
        'zh-tw' => '修改標籤',
        'ar-sa' => 'تغيير التسمية',
    ],
    'ChangeDrivetype' => [
        'en-us' => 'Change',
        'zh-cn' => '切换',
    ],
    'AddDisk' => [
        'en-us' => 'Add Disk',
        'zh-cn' => '添加盘',
        'zh-tw' => '新增盤',
        'ja' => 'を追加',
        'ko-kr' => '추가',
        'fa' => 'اضافه کردن دیسک ',
        'ar-sa' => 'إضافة قرص',
    ],
    'Home' => [
        'en-us' => 'Home',
        'zh-cn' => '首页',
        'zh-tw' => '首頁',
        'ja' => 'ホーム',
        'ko-kr' => '홈',
        'fa' => 'خانه',
        'ar-sa' => 'فرونت بيج',
    ],
    'Preview' => [
        'en-us' => 'Preview',
        'zh-cn' => '预览',
        'zh-tw' => '預覽',
        'ja' => 'プレビュー',
        'ko-kr' => '미리보기',
        'fa' => 'پیش‌نمایش',
        'ar-sa' => 'معاينة',
    ],
    'List' => [
        'en-us' => 'List',
        'zh-cn' => '列表',
        'zh-tw' => '列表',
        'ja' => 'リスト',
        'ko-kr' => '리스트',
        'fa' => 'فهرست',
        'ar-sa' => 'الليست',
    ],
    'NeedUpdate' => [
        'en-us' => 'Program can update<br>Click setup in Operate at top.',
        'zh-cn' => '可以升级程序<br>在上方管理菜单中<br>进入设置页面升级',
        'zh-tw' => '可以升級程式<br>在上方管理選單中<br>進入設定頁面升級',
        'ja' => 'プログラムをアップグレードできます<br>上記の管理メニューで<br>アップグレードする設定ページに入ります',
        'ko-kr' => '프로그램을 업그레이드 할 수 있습니다. <br> 위의 관리 메뉴에서 <br> 업그레이드 할 설정 페이지를 입력하십시오.',
        'fa' => 'برنامه می تواند آپدیت شود<br>روی گزینه نصب در بالای صفحه کلیک کنید.',
        'ar-sa' => 'يمكن ترقية البرنامج في القائمة أعلاه إدارة',
    ],
    'Operate' => [
        'en-us' => 'Operate',
        'zh-cn' => '管理',
        'zh-tw' => '管理',
        'ja' => '管理',
        'ko-kr' => '관리',
        'fa' => 'مدیریت',
        'ar-sa' => 'الإدارة',
    ],
    'Logout' => [
        'en-us' => 'Logout',
        'zh-cn' => '退出',
        'zh-tw' => '登出',
        'ja' => 'ログアウトする',
        'ko-kr' => '로그 아웃',
        'fa' => 'خروج',
        'ar-sa' => 'انسحب',
    ],
    'Create' => [
        'en-us' => 'Create',
        'zh-cn' => '新建',
        'zh-tw' => '建立',
        'ja' => '新しい',
        'ko-kr' => '새로운',
        'fa' => 'ایجاد کردن',
        'ar-sa' => 'بنيت حديثا',
    ],
    'Download' => [
        'en-us' => 'download',
        'zh-cn' => '下载',
        'zh-tw' => '下載',
        'ja' => 'ダウンロードする',
        'ko-kr' => '다운로드',
        'fa' => 'دانلود',
        'ar-sa' => 'داون لود',
    ],
    'ClicktoEdit' => [
        'en-us' => 'Click to edit',
        'zh-cn' => '点击后编辑',
        'zh-tw' => '點擊後編輯',
        'ja' => 'クリック後に編集',
        'ko-kr' => '클릭 후 편집',
        'fa' => 'برای ویرایش کلیک کنید',
        'ar-sa' => 'انقر فوق تحرير',
    ],
    'Save' => [
        'en-us' => 'Save',
        'zh-cn' => '保存',
        'zh-tw' => '儲存',
        'ja' => '保存する',
        'ko-kr' => '저장',
        'fa' => 'ذخیره',
        'ar-sa' => 'حفظ',
    ],
    'FileNotSupport' => [
        'en-us' => 'File not support preview.',
        'zh-cn' => '文件格式不支持预览',
        'zh-tw' => '檔案格式不支援預覽',
        'ja' => 'ファイル形式はプレビューをサポートしていません',
        'ko-kr' => '파일 형식은 미리보기를 지원하지 않습니다',
        'fa' => 'پیش نمایش برای این فایل پشتیبانی نمی شود.',
        'ar-sa' => 'معاينة الملف غير معتمد',
    ],
    'File' => [
        'en-us' => 'File',
        'zh-cn' => '文件',
        'zh-tw' => '文件',
        'ja' => 'ファイル',
        'ko-kr' => '파일',
        'fa' => 'فایل',
        'ar-sa' => 'فايل',
    ],
    'ShowThumbnails' => [
        'en-us' => 'Thumbnails',
        'zh-cn' => '图片缩略',
        'zh-tw' => '圖片縮略',
        'ja' => '画像のサムネイル',
        'ko-kr' => '사진 섬네일',
        'fa' => 'تصویر بندانگشتی',
        'ar-sa' => 'تجاهل الصورة',
    ],
    'OriginalPic' => [
        'en-us' => 'OriginalPic',
        'zh-cn' => '原图',
        'zh-tw' => '原圖',
        'ja' => '原図',
        'ko-kr' => '원 도',
        'fa' => 'تصویر اصلی',
        'ar-sa' => 'الصورة الأصلية',
    ],
    'CopyAllDownloadUrl' => [
        'en-us' => 'CopyAllDownloadUrl',
        'zh-cn' => '复制所有下载链接',
        'zh-tw' => '複製所有下載連結',
        'ja' => 'すべてのダウンロードリンクをコピー',
        'ko-kr' => '모든 다운로드 링크 복사',
        'fa' => 'کپی از تمام لینک ها',
        'ar-sa' => 'نسخ جميع روابط التحميل',
    ],
    'Search' => [
        'en-us' => 'Search',
        'zh-cn' => '搜索',
        'zh-tw' => '搜尋',
        'ja' => '検索',
        'ko-kr' => '수색 하 다.',
        'fa' => 'جستجو',
        'ar-sa' => 'بحث',
    ],
    'EditTime' => [
        'en-us' => 'EditTime',
        'zh-cn' => '修改时间',
        'zh-tw' => '修改時間',
        'ja' => '変更時間',
        'ko-kr' => '수정 시간',
        'fa' => 'زمان ویرایش',
        'ar-sa' => 'تعديل الوقت',
    ],
    'Size' => [
        'en-us' => 'Size',
        'zh-cn' => '大小',
        'zh-tw' => '大小',
        'ja' => 'サイズ ',
        'ko-kr' => '사이즈',
        'fa' => 'سایز',
        'ar-sa' => 'مقاس',
    ],
    'Rename' => [
        'en-us' => 'Rename',
        'zh-cn' => '重命名',
        'zh-tw' => '重新命名',
        'ja' => '名前を変更',
        'ko-kr' => '이름 바꾸기',
        'fa' => 'تغییر نام',
        'ar-sa' => 'إعادة تسمية',
    ],
    'Move' => [
        'en-us' => 'Move',
        'zh-cn' => '移动',
        'zh-tw' => '移動',
        'ja' => '移動する',
        'ko-kr' => '이동',
        'fa' => 'انتقال',
        'ar-sa' => 'تحرك',
    ],
    'Copy' => [
        'en-us' => 'Copy',
        'zh-cn' => '复制',
        'zh-tw' => '複製',
        'ja' => 'コピー',
        'ko-kr' => '복사',
        'fa' => 'کپی',
        'ar-sa' => 'نسخ',
    ],
    'CannotMove' => [
        'en-us' => 'Can not Move!',
        'zh-cn' => '不能移动！',
        'zh-tw' => '不能移動！',
        'ja' => '動かない！',
        'ko-kr' => '움직일 수 없어!',
        'fa' => 'نمی‌تواند منتقل شود!',
        'ar-sa' => 'لا تتحرك',
    ],
    'Delete' => [
        'en-us' => 'Delete',
        'zh-cn' => '删除',
        'zh-tw' => '刪除',
        'ja' => '削除する',
        'ko-kr' => '삭제',
        'fa' => 'حذف کردن',
        'ar-sa' => 'حذف',
    ],
    'PrePage' => [
        'en-us' => 'PrePage',
        'zh-cn' => '上一页',
        'zh-tw' => '上一頁',
        'ja' => '前へ',
        'ko-kr' => '이전',
        'fa' => 'صفحه قبل',
        'ar-sa' => 'الصفحة السابقة',
    ],
    'NextPage' => [
        'en-us' => 'NextPage',
        'zh-cn' => '下一页',
        'zh-tw' => '下一頁',
        'ja' => '次のページ',
        'ko-kr' => '다음 페이지',
        'fa' => 'صفحه بعد',
        'ar-sa' => 'الصفحة التالية',
    ],
    'Upload' => [
        'en-us' => 'Upload',
        'zh-cn' => '上传',
        'zh-tw' => '上傳',
        'ja' => 'アップロードする',
        'ko-kr' => '업로드',
        'fa' => 'آپلود',
        'ar-sa' => 'ابلود',
    ],
    'UploadFile' => [
        'en-us' => 'Upload File(s)',
        'zh-cn' => '上传文件',
        'zh-tw' => '上傳文件',
        'ja' => 'ファイルをアップロード',
        'ko-kr' => '문건 을 업로드 하 다',
        'fa' => 'بارگذاری پرونده',
        'ar-sa' => 'تحميل الملف',
    ],
    'UploadFolder' => [
        'en-us' => 'Upload Folder',
        'zh-cn' => '上传文件夹',
        'zh-tw' => '上傳資料夾',
        'ja' => 'フォルダをアップロード',
        'ko-kr' => '폴 더 업로드',
        'fa' => 'بارگذاری پوشه',
        'ar-sa' => 'تحميل ملف',
    ],
    'FileSelected' => [
        'en-us' => 'Select File',
        'zh-cn' => '选择文件',
        'zh-tw' => '選擇文件',
        'ja' => 'ファイルを選択',
        'ko-kr' => '파일 선택',
        'fa' => 'انتخاب فایل',
        'ar-sa' => 'اختر ملف',
    ],
    'NoFileSelected' => [
        'en-us' => 'Not Select File',
        'zh-cn' => '没有选择文件',
        'zh-tw' => '沒有選擇文件',
        'ja' => 'ファイルが選択されていません',
        'ko-kr' => '선택된 파일이 없습니다',
        'fa' => 'فایل را انتخاب نکنید',
        'ar-sa' => 'لا يوجد ملف محدد',
    ],
    'Submit' => [
        'en-us' => 'Submit',
        'zh-cn' => '确认',
        'zh-tw' => '確認',
        'ja' => '確認する',
        'ko-kr' => '확인',
        'fa' => 'ارسال',
        'ar-sa' => 'أكد',
    ],
    'Close' => [
        'en-us' => 'Close',
        'zh-cn' => '关闭',
        'zh-tw' => '關閉',
        'ja' => '閉じる',
        'ko-kr' => '닫기',
        'fa' => 'بستن',
        'ar-sa' => 'مغلق',
    ],
    'InputPasswordUWant' => [
        'en-us' => 'Input Password you Want',
        'zh-cn' => '输入想要设置的密码',
        'zh-tw' => '輸入想要設置的密碼',
        'ja' => '設定するパスワードを入力してください',
        'ko-kr' => '설정하려는 비밀번호를 입력하십시오',
        'fa' => 'پسورد خود را وارد کنید',
        'ar-sa' => 'أدخل كلمة السر التي تريد تعيين',
    ],
    'ParentDir' => [
        'en-us' => 'Parent Dir',
        'zh-cn' => '上一级目录',
        'zh-tw' => '上一級目錄',
        'ja' => '親ディレクトリ',
        'ko-kr' => '부모 디렉토리',
        'fa' => 'مسیر',
        'ar-sa' => 'الدليل السابق',
    ],
    'Folder' => [
        'en-us' => 'Folder',
        'zh-cn' => '文件夹',
        'zh-tw' => '資料夾',
        'ja' => 'フォルダー',
        'ko-kr' => '폴더',
        'fa' => 'پوشه',
        'ar-sa' => 'فولدر',
    ],
    'Name' => [
        'en-us' => 'Name',
        'zh-cn' => '名称',
        'zh-tw' => '名稱',
        'ja' => '名前',
        'ko-kr' => '이름',
        'fa' => 'نام',
        'ar-sa' => 'إسم',
    ],
    'Content' => [
        'en-us' => 'Content',
        'zh-cn' => '内容',
        'zh-tw' => '內容',
        'ja' => '内容',
        'ko-kr' => '내용',
        'fa' => 'محتوا',
        'ar-sa' => 'المحتويات',
    ],
    'CancelEdit' => [
        'en-us' => 'Cancel Edit',
        'zh-cn' => '取消编辑',
        'zh-tw' => '取消編輯',
        'ja' => '編集をキャンセル',
        'ko-kr' => '편집 취소',
        'fa' => 'لغو ویرایش',
        'ar-sa' => 'إلغاء تحرير',
    ],
    'GetFileNameFail' => [
        'en-us' => 'Fail to Get File Name!',
        'zh-cn' => '获取文件名失败！',
        'zh-tw' => '獲取檔案名失敗！',
        'ja' => 'ファイル名を取得できませんでした！',
        'ko-kr' => '파일 이름을 가져 오지 못했습니다!',
        'fa' => 'نام فایل به دست نیامد!',
        'ar-sa' => 'فشل الحصول على اسم الملف',
    ],
    'GetUploadLink' => [
        'en-us' => 'Get Upload Link',
        'zh-cn' => '获取上传链接',
        'zh-tw' => '獲取上傳連結',
        'ja' => 'アップロードリンクを取得',
        'ko-kr' => '업로드 링크 받기',
        'fa' => 'دریافت لینک آپلود',
        'ar-sa' => 'الحصول على رابط التحميل',
    ],
    'Calculate' => [
        'en-us' => 'Calculate',
        'zh-cn' => '计算',
        'zh-tw' => '計算',
        'ja' => '計算する',
        'ko-kr' => '계산 하 다.',
        'fa' => 'محاسبه',
        'ar-sa' => 'محسوب',
    ],
    'UpFileTooLarge' => [
        'en-us' => 'The File is too Large!',
        'zh-cn' => '文件过大，终止上传。',
        'zh-tw' => '文件過大，終止上傳。',
        'ja' => '超えると、アップロードは終了します。',
        'ko-kr' => '파일이 너무 커서 업로드가 종료되었습니다.',
        'fa' => 'فایل خیلی بزرگ است!',
        'ar-sa' => 'الملف كبير جدا ، إنهاء التحميل',
    ],
    'UploadStart' => [
        'en-us' => 'Upload Start',
        'zh-cn' => '开始上传',
        'zh-tw' => '開始上傳',
        'ja' => 'アップロードを開始',
        'ko-kr' => '업로드 시작',
        'fa' => 'شروع آپلود',
        'ar-sa' => 'بدء التحميل',
    ],
    'UploadStartAt' => [
        'en-us' => 'Start At',
        'zh-cn' => '开始于',
        'zh-tw' => '開始於',
        'ja' => 'で開始',
        'ko-kr' => '에서 시작',
        'fa' => 'شروع از',
        'ar-sa' => 'تبدأ في',
    ],
    'ThisTime' => [
        'en-us' => 'This Time',
        'zh-cn' => '本次',
        'zh-tw' => '本次',
        'ja' => '今回は',
        'ko-kr' => '이번에는',
        'fa' => 'این زمان',
        'ar-sa' => 'هذه المرة',
    ],
    'LastUpload' => [
        'en-us' => 'Last time Upload',
        'zh-cn' => '上次上传',
        'zh-tw' => '上次上傳',
        'ja' => '上回は',
        'ko-kr' => '마지막 업로드',
        'fa' => 'آخرین زمان آپلود',
        'ar-sa' => 'آخر تحميل',
    ],
    'AverageSpeed' => [
        'en-us' => 'AverageSpeed',
        'zh-cn' => '平均速度',
        'zh-tw' => '平均速度',
        'ja' => '平均速度',
        'ko-kr' => '평균 속도',
        'fa' => 'میانگین سرعت',
        'ar-sa' => 'متوسط السرعة',
    ],
    'CurrentSpeed' => [
        'en-us' => 'CurrentSpeed',
        'zh-cn' => '即时速度',
        'zh-tw' => '即時速度',
        'ja' => 'インスタントスピード',
        'ko-kr' => '즉각적인 속도',
        'fa' => 'سرعت فعلی',
        'ar-sa' => 'سرعة فورية',
    ],
    'Expect' => [
        'en-us' => 'Expect',
        'zh-cn' => '预计还要',
        'zh-tw' => '預計還要',
        'ja' => '期待される',
        'ko-kr' => '예상',
        'fa' => 'انتظار',
        'ar-sa' => 'ومن المتوقع أيضا',
    ],
    'EndAt' => [
        'en-us' => 'End At',
        'zh-cn' => '结束于',
        'zh-tw' => '結束於',
        'ja' => 'で終了',
        'ko-kr' => '에 끝남',
        'fa' => 'پایان از',
        'ar-sa' => 'نهاية',
    ],
    'UploadErrorUpAgain' => [
        'en-us' => 'Maybe error, do upload again.',
        'zh-cn' => '可能出错，重新上传。',
        'zh-tw' => '可能出錯，重新上傳。',
        'ja' => '間違っている可能性があります。もう一度アップロードしてください。',
        'ko-kr' => '잘못되었을 수 있습니다. 다시 업로드하십시오.',
        'fa' => 'خطا، دوباره آپلود کنید',
        'ar-sa' => 'قد تكون خاطئة ، إعادة تحميل',
    ],
    'UploadComplete' => [
        'en-us' => 'Upload Complete',
        'zh-cn' => '上传完成',
        'zh-tw' => '上傳完成',
        'ja' => 'アップロード完了',
        'ko-kr' => '업로드 완료',
        'fa' => 'آپلود با موفقیت انجام شد',
        'ar-sa' => 'تحميل كامل',
    ],
    'UploadFail23' => [
        'en-us' => 'Upload Fail, contain #.',
        'zh-cn' => '目录或文件名含有#，上传失败。',
        'zh-tw' => '目錄或檔案名含有#，上傳失敗。',
        'ja' => 'ディレクトリまたはファイル名に＃が含まれています。アップロードに失敗しました。',
        'ko-kr' => '디렉토리 또는 파일 이름에 #이 포함되어 있습니다. 업로드하지 못했습니다.',
        'fa' => 'بارگذاری ناموفق، حاوی #.',
        'ar-sa' => 'دليل أو اسم الملف يحتوي على تحميل فشلت',
    ],
    'defaultSitename' => [
        'en-us' => 'OneManager',
    ],
    'SavingToken' => [
        'en-us' => 'Saving refresh_token!',
        'zh-cn' => '正在保存 refresh_token！',
        'zh-tw' => '正在儲存 refresh_token！',
        'ja' => 'refresh_tokenを保存しています！',
        'ko-kr' => 'refresh_token 저장 중!',
        'fa' => 'در حال ذخیره refresh_token!',
        'ar-sa' => 'حفظ refresh ش   توكن',
    ],
    'MayinEnv' => [
        'en-us' => 'The \'Drive_ver\' may in Config',
        'zh-cn' => 'Drive_ver应该已经写入',
        'zh-tw' => 'Drive_ver應該已經寫入',
        'ja' => 'Drive_verは環境変数に書き込まれている必要があります',
        'ko-kr' => 'Drive_verが書き込まれている必要があります',
        'fa' => 'The \'Drive_ver\' may in Config',
        'ar-sa' => 'درايو   يجب أن يكون مكتوب على',
    ],
    'Wait' => [
        'en-us' => 'Wait',
        'zh-cn' => '稍等',
        'zh-tw' => '稍等',
        'ja' => 'ちょっと待って',
        'ko-kr' => '잠깐만',
        'fa' => 'منتظر بمانید',
        'ar-sa' => 'انتظر لحظة',
    ],
    'WaitJumpIndex' => [
        'en-us' => 'Wait 5s jump to Home page',
        'zh-cn' => '等5s跳到首页',
        'zh-tw' => '等5秒跳到首頁',
        'ja' => '5秒待ってホームページにジャンプします',
        'ko-kr' => '5 초 동안 홈페이지로 이동',
        'fa' => '۵ دقیقه صبر کنید تا به صفحه نخست برگردید',
        'ar-sa' => 'انتظر 5S القفز إلى الصفحة الرئيسية',
    ],
    'JumptoOffice' => [
        'en-us' => 'Login Office and Get a refresh_token',
        'zh-cn' => '跳转到Office，登录获取refresh_token',
        'zh-tw' => '跳轉到Office，登入獲取refresh_token',
        'ja' => 'Officeにジャンプしてログインし、refresh_tokenを取得します',
        'ko-kr' => '사무실로 이동하여 로그인하여 refresh_token을 받으십시오.',
        'fa' => 'وارد Office شوید و یک refresh_token دریافت کنید',
        'ar-sa' => 'Login Office and Get a refresh_token',
    ],
    'DiskTag' => [
        'en-us' => 'Disk Tag',
        'zh-cn' => '标签',
        'zh-tw' => '標籤',
        'ja' => 'タグ',
        'ko-kr' => '태그',
        'fa' => 'برچسب دیسک ',
        'ar-sa' => 'تاغ',
    ],
    'DiskName' => [
        'en-us' => 'Showed Name',
        'zh-cn' => '显示名称',
        'zh-tw' => '顯示名稱',
        'ja' => '表示名',
        'ko-kr' => '표시 이름',
        'fa' => 'نام نشان داده شده ',
        'ar-sa' => 'عرض الاسم',
    ],
    'DriveVerMS' => [
        'en-us' => 'Onedrive, Onedrive for business',
        'zh-cn' => '国际版（商业版与个人版）',
        'zh-tw' => '國際版（商業版與個人版）',
        'ja' => '国際版（商業版と個人版）',
        'ko-kr' => '국제 판 (상업 판 과 개인 판)',
        'fa' => 'International Edition (Business Edition and Personal Edition)',
        'ar-sa' => 'الأعمال التجارية الدولية الطبعة الطبعة الشخصية',
    ],
    'DriveVerCN' => [
        'en-us' => 'Onedrive in China',
        'zh-cn' => '世纪互联版',
        'zh-tw' => '世紀互聯版（中國版Onedrive）',
        'ja' => '中国のOnedrive',
        'ko-kr' => '중국 Onedrive',
        'fa' => 'Onedrive در چین',
        'ar-sa' => 'Onedrive النسخة الصينية',
    ],
    'DriveVerShareurl' => [
        'en-us' => 'A share link of a folder',
        'zh-cn' => '共享链接',
        'zh-tw' => '共享連結',
    ],
    'UseShareLink' => [
        'en-us' => 'Share a folder in Onedrive (enable EDIT for everyone), input the link url below.',
        'zh-cn' => '<font color="red">只有国际版能用，</font>对一个Onedrive文件夹共享，允许所有人编辑，然后将共享链接填在下方',
        'zh-tw' => '對一個Onedrive資料夾共享，允許所有人編輯，然後將共享連結填在下方',
    ],
    'CustomIdSecret' => [
        'en-us' => 'Use custom client id & secret instead of OneManager default',
        'zh-cn' => '用自己申请的应用ID与机密，不用OneManager默认的',
        'zh-tw' => '用自己申請的應用ID與機密，不用OneManager預設的',
        'ja' => 'アプリケーションIDとシークレットを自分で申請する',
        'ko-kr' => '응용 프로그램 ID 및 비밀 신청',
        'fa' => 'به طور پیش فرض اما از شناسه برنامه و سکرت استفاده کنید',
        'ar-sa' => 'استخدام التطبيق الخاص بك معرف وسرية ، لا أحد مدير الافتراضية',
    ],
    'GetSecretIDandKEY' => [
        'en-us' => 'Get custom client id & secret',
        'zh-cn' => '申请应用ID与机密',
        'zh-tw' => '申請應用ID與機密',
        'ja' => 'アプリケーションIDとシークレット',
        'fa' => 'دریافت شناسه برنامه و سکرت',
        'ar-sa' => 'تطبيق الهوية والسرية',
    ],
    'UseSharepointInstead' => [
        'en-us' => 'Use space in Sharepoint website instead of Onedrive',
        'zh-cn' => '使用Sharepoint网站的空间，不使用Onedrive',
        'zh-tw' => '使用Sharepoint網站的空間，不使用Onedrive',
    ],
    'GetSharepointSiteAddress' => [
        'en-us' => 'Login office.com and click the SharePoint, create a website or find an exist website, input the Site address below',
        'zh-cn' => '登录office.com，点击Sharepoint，创建一个网站（或使用原有网站），然后将它的站点地址填在下方',
        'zh-tw' => '登入office.com，點擊Sharepoint，建立一個網站（或使用原有網站），然後將它的站點地址填在下方',
    ],
    'InputSharepointSiteAddress' => [
        'en-us' => 'https://xxxxx.sharepoint.com/sites(teams)/{name}',
    ],
    'TagFormatAlert' => [
        'en-us' => 'Tag must start with a letter, end with a letter or digit and can only contain lowercase letters, digits, and dashes， at least 2 letters!',
        'zh-cn' => '标签只能以字母开头，以字母或数字结尾，至少2位',
        'zh-tw' => '標籤只能以字母開頭，以字母或數字結尾，至少2位',
        'ja' => 'タグは、文字で始まり、文字または数字で終わる必要があります。少なくとも2つ',
        'ko-kr' => '태그는 문자로 시작하고 문자 또는 숫자로 끝나야합니다 (2 이상).',
        'fa' => 'برچسب باید با یک حرف شروع شود، با یک حرف یا رقم پایان یابد و تنها می‌تواند حاوی حروف کوچک، ارقام و خط فاصله، حداقل ۲ حرف باشد!',
        'ar-sa' => 'التسمية يمكن أن تبدأ فقط مع الحروف ، وتنتهي مع الحروف أو الأرقام ، على الأقل',
    ],
    'ClickInstall' => [
        'en-us' => 'Click to install the project',
        'zh-cn' => '点击开始安装程序',
        'zh-tw' => '點擊開始安裝程式',
        'ja' => 'クリックしてインストールプロセスを開始します',
        'ko-kr' => '설치 과정을 시작하려면 클릭',
        'fa' => 'برای نصب پروژه کلیک کنید',
        'ar-sa' => 'انقر فوق بدء الإعداد',
    ],
    'LogintoBind' => [
        'en-us' => 'then login and bind your onedrive in setup',
        'zh-cn' => '然后登录后在设置中绑定你的onedrive。',
        'zh-tw' => '然後登入後在設定中綁定你的onedrive。',
        'ja' => '次に、ログインして、設定でonedriveをバインドします。',
        'ko-kr' => '그런 다음 로그인하여 onedrive를 설정에 바인딩하십시오.',
        'fa' => 'پس از آن وارد سیستم شوید و تنظیمات خود را در onedrive متصل کنید',
        'ar-sa' => 'ثم قم بتسجيل الدخول بعد ربط أحد السائقين في الإعدادات',
    ],
    'MakesuerWriteable' => [
        'en-us' => 'Plase make sure the config.php is writeable. run writeable.sh.',
        'zh-cn' => '确认config.php可写。',
        'zh-tw' => '確認config.php可寫。',
        'ja' => 'config.phpが書き込み可能であることを確認してください。',
        'ko-kr' => 'config.php가 쓰기 가능한지 확인하십시오.',
        'fa' => 'اطمینان حاصل کنید که config.php قابل نوشتن است. writeable.sh را اجرا کنید.',
        'ar-sa' => 'أكد   بي إتش بي   قابل للكتابة',
    ],
    'MakesuerRewriteOn' => [
        'en-us' => 'Plase make sure the RewriteEngine is On',
        'zh-cn' => '确认重写（伪静态）功能启用',
        'zh-tw' => '確認重寫（偽靜態）功能啟用',
        'ja' => '書き換え（擬似静的）機能が有効になっていることを確認します',
        'ko-kr' => '다시 쓰기 (의사 정적) 기능이 활성화되어 있는지 확인하십시오',
        'fa' => 'لطفاً مطمئن شوید که RewriteEngine روشن است.',
        'ar-sa' => 'يؤكد أن الكتابة يمكن أن تكون وظيفة شبه استاتي',
    ],
    'CopyUrl' => [
        'en-us' => 'Copy URL',
        'zh-cn' => '复制链接',
        'zh-tw' => '複製連結',
        'ja' => 'リンクをコピー',
        'ko-kr' => '링크 복사',
        'fa' => 'کپی ارتباط',
        'ar-sa' => 'نسخ الرابط',
    ],
    'Success' => [
        'en-us' => 'Success',
        'zh-cn' => '成功',
        'zh-tw' => '成功',
        'ja' => '成功',
        'ko-kr' => '성공 하 다.',
        'fa' => 'موفقیت',
        'ar-sa' => 'نجح',
    ],
    'SetAdminPassword' => [
        'en-us' => 'Set Admin Password',
        'zh-cn' => '设置管理密码',
        'zh-tw' => '設定管理密碼',
    ],
    'Refresh' => [
        'en-us' => 'Refresh',
        'zh-cn' => '刷新',
        'zh-tw' => '重新整理',
        'ja' => 'リフレッシュ',
        'ko-kr' => '새로 고침',
        'fa' => 'رفرش',
        'ar-sa' => 'منعش',
    ],
    'SelectLanguage' => [
        'en-us' => 'Select Language',
        'zh-cn' => '选择语言',
        'zh-tw' => '選擇語言',
        'ja' => '言語を選択してください',
        'ko-kr' => '언어를 선택하십시오',
        'fa' => 'زبان را انتخاب کنید',
        'ar-sa' => 'اختيار اللغة',
    ],
    'RefreshCache' => [
        'en-us' => 'Refresh Cache of Current Folder',
        'zh-cn' => '刷新当前目录的缓存',
        'zh-tw' => '重新整理当前資料夾快取',
        'ja' => 'キャッシュを再構築',
        'ko-kr' => '캐시 플러시',
        'fa' => 'رفرش cache',
        'ar-sa' => 'تحديث الكاش',
    ],
    'CannotOneKeyUpate' => [
        'en-us' => 'Can not update by a click! run update.sh',
        'zh-cn' => '不能一键更新，可以运行update.sh',
        'zh-tw' => '不能一鍵更新，可以執行update.sh',
    ],
    'QueryBranchs' => [
        'en-us' => 'Query Branchs',
        'zh-cn' => '查询分支',
        'zh-tw' => '查詢分支',
    ],
    'OldPassword' => [
        'en-us' => 'Old Password',
        'zh-cn' => '旧密码',
        'zh-tw' => '旧密碼',
    ],
    'NewPassword' => [
        'en-us' => 'New Password',
        'zh-cn' => '新密码',
        'zh-tw' => '新密碼',
    ],
    'ReInput' => [
        'en-us' => 'ReInput',
        'zh-cn' => '再输入一次',
        'zh-tw' => '再输入一次',
    ],
    'ChangAdminPassword' => [
        'en-us' => 'Chang Admin Password',
        'zh-cn' => '修改管理密码',
        'zh-tw' => '修改管理密碼',
    ],
    'AdminPassword' => [
        'en-us' => 'Admin Password',
        'zh-cn' => '管理密码',
        'zh-tw' => '管理密碼',
    ],
    'export' => [
        'en-us' => 'export',
        'zh-cn' => '导出',
        'zh-tw' => '导出',
    ],
    'config' => [
        'en-us' => 'config',
        'zh-cn' => '配置',
        'zh-tw' => '配置',
    ],
    'import' => [
        'en-us' => 'import',
        'zh-cn' => '导入',
        'zh-tw' => '导入',
    ],
    'ONEMANAGER_CONFIG_SAVE_ENV' => [
        'en-us' => 'Config save in Environments',
        'zh-cn' => '配置保存在环境变量',
        'zh-tw' => '配置儲存在環境變數',
    ],
    'ONEMANAGER_CONFIG_SAVE_FILE' => [
        'en-us' => 'Config save in code file, may cause fee, please reinstall later',
        'zh-cn' => '配置保存在代码文件中，可能产生费用，切换后，请从头再安装一次。',
        'zh-tw' => '配置儲存在程式碼文件中，可能產生費用',
    ],
];
